## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiMatchingInlineNode

### Document::ezcDocumentWikiMatchingInlineNode

### Class ezcDocumentWikiMatchingInlineNode

Struct for Wiki document inline abstract syntax tree nodes

Source for this file: /Document/src/document/wiki/nodes/matching_inline.php

    ezcBaseStruct
       |
       --ezcDocumentWikiNode
          |
          --ezcDocumentWikiInlineNode
             |
             --ezcDocumentWikiMatchingInlineNode

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentWikiItalicNode | Struct for Wiki document inline italic syntax tree nodes
ezcDocumentWikiInlineQuoteNode | Struct for Wiki document inline quote syntax tree nodes
ezcDocumentWikiSuperscriptNode | Struct for Wiki document inline superscript syntax tree nodes
ezcDocumentWikiMonospaceNode | Struct for Wiki document inline monospace syntax tree nodes
ezcDocumentWikiDeletedNode | Struct for Wiki document inline deleted syntax tree nodes
ezcDocumentWikiBoldNode | Struct for Wiki document inline bold syntax tree nodes
ezcDocumentWikiSubscriptNode | Struct for Wiki document inline subscript syntax tree nodes
ezcDocumentWikiUnderlineNode | Struct for Wiki document inline underline syntax tree nodes

### Inherited Member Variables

From ezcDocumentWikiNode
public | `ezcDocumentWikiNode::$line`
public | `ezcDocumentWikiNode::$nodes`
public | `ezcDocumentWikiNode::$position`
public | `ezcDocumentWikiNode::$token`

### Inherited Methods

From ezcDocumentWikiNode
public void | `ezcDocumentWikiNode::__construct()` Construct Wiki node

Documentation generated by phpDocumentor 1.4.3